# $Revision: 1.20 $, $Date: 2008/07/27 22:39:59 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	List
%define		pnam	Combination
Summary:	List::Combination - an iterator over the combinations of an array
Summary(pl.UTF-8):	List::Combination - iterator po kombinacjach tablicy
Name:		perl-List-Combination
Version:	1.00
Release:	4
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.pm.gz
# Source0-md5:	15f3e07012320c5a1c9d91f40ac03550
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class provides the ability to iterate over all the combinations,
of a given size, of the objects in an array.

%description -l pl.UTF-8
Ta klasa daje możliwość iterowania po wszystkich (danej długości)
kombinacjach obiektów tablicy.

%prep
%setup -q -c -T
%{__gzip} -dc %{_sourcedir}/List-Combination-%{version}.pm.gz > Combination.pm

%build
touch Makefile.PL
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"List::Combination");' \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-List-Combination.spec,v $
Revision 1.20  2008/07/27 22:39:59  arekm
- release 4

Revision 1.19  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 22:30:30  paladine
- formatting

Revision 1.16  2004/06/05 18:10:42  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.15  2004/05/07 01:09:22  ankry
- rel. 3

Revision 1.14  2004/05/06 18:01:29  ankry
- fixed perl-devel BR

Revision 1.13  2004/04/22 18:21:29  ankry
- license fixes & unification

Revision 1.12  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.11  2003/06/16 19:09:15  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.10  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 19:37:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:35:32  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/08/26 13:17:39  ankry
- use ftp: URL, cleaning, adapterized

Revision 1.3  2002/07/25 23:57:45  radek
- simplified

Revision 1.2  2002/07/25 13:41:29  radek
- simplified workaround for missing Makefile.PL

Revision 1.1  2002/07/24 20:01:35  radek
- new, STBR

